Package org.apache.datasketches.hive.common

## Class BytesWritableHelper

- java.lang.Object
- - org.apache.datasketches.hive.common.BytesWritableHelper

    public class BytesWritableHelper
    extends Object

Provides a helper class to simplify frequent operations on BytesWritable.

### Constructor Summary

Constructors
`BytesWritableHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.apache.datasketches.memory.Memory` `wrapAsMemory​(org.apache.hadoop.io.BytesWritable bw)` Wraps BytesWritable with a read-only Memory interface, without copying the underlying data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BytesWritableHelper

    public BytesWritableHelper()

### Method Detail

#### wrapAsMemory

    public static org.apache.datasketches.memory.Memory wrapAsMemory​(org.apache.hadoop.io.BytesWritable bw)

Wraps BytesWritable with a read-only Memory interface, without copying the underlying data.

Parameters:
  `bw` - Input BytesWritable object
Returns:
  Read-only Memory wrapping the input BytesWritable